
#ifndef GLOBAL_H
#define GLOBAL_H

#include "Typedefine.h"

#define FRZ_SET_F24C        0
#define REF_SET_7C          7
#define SET 1
#define CLEAR 0
#define ON 1
#define OFF 0
#define CON_F12Degree 260 
#define CON_F5Degree 330
#define CON_F2Degree 360

#define CON_0Degree  380
#define CON_2Degree  400
#define CON_5Degree  430

#define CON_7Degree  450
#define CON_8Degree  460
#define CON_9Degree  470
#define CON_10Degree 480
#define CON_11Degree 490
#define CON_12Degree 500
#define CON_13Degree 510
#define CON_14Degree 520
#define CON_15Degree 530
#define CON_16Degree 540
#define CON_19Degree 570
#define CON_21Degree 590
#define CON_27Degree 650
#define CON_28Degree 660
#define CON_29Degree 670
#define CON_33Degree 710
#define CON_34Degree 720
#define CON_35Degree 730
#define CON_36Degree 740
#define CON_37Degree 750
#define CON_39Degree 770
#define CON_40Degree 780
#define CON_41Degree 790

//#pragma DATA_SEG __SHORT_SEG MY_ZEROPAGE

extern BitType flagSend1;
#define f_TestBit0       flagSend1.Bits.BIT0
#define f_TestBit1       flagSend1.Bits.BIT1
#define f_TestBit2       flagSend1.Bits.BIT2
#define f_MainRecErr     flagSend1.Bits.BIT3
#define f_UartTestDisp   flagSend1.Bits.BIT7


extern  BitType flagErrs1;
#define f_IceSnrErr      flagErrs1.Bits.BIT0
#define f_FrzSnrErr      flagErrs1.Bits.BIT1
#define f_DefSnrErr      flagErrs1.Bits.BIT2
#define f_RoomSnrErr     flagErrs1.Bits.BIT3
#define f_RefSnr1Err     flagErrs1.Bits.BIT4
#define f_RefSnr2Err     flagErrs1.Bits.BIT5
#define f_VarSnrErr      flagErrs1.Bits.BIT6
#define f_DefFunkErr     flagErrs1.Bits.BIT7

extern BitType flagErrs2;
#define f_FrzFanErr      flagErrs2.Bits.BIT0
#define f_CoolFanErr     flagErrs2.Bits.BIT1

extern BitType flagErrs3;
#define f_CycleErr       flagErrs3.Bits.BIT0
#define f_RefDoorErr     flagErrs3.Bits.BIT1
#define f_FrzDoorErr     flagErrs3.Bits.BIT2
#define f_BarDoorErr     flagErrs3.Bits.BIT3
//#define f_MainRecErr     flagErrs3.Bits.BIT4

extern  MyflagFanSpeed flagFanSpeed;

#define f2_CoolFanSpeed      flagFanSpeed.Bits.CFAN
#define f2_FrzFanSpeed       flagFanSpeed.Bits.FFAN
#define f2_VarDamperState    flagFanSpeed.Bits.VARDAMPER

extern  BitType flagSend2;
#define f_ModifyDispSet  flagSend2.Bits.BIT0
#define f_WriteE2Over    flagSend2.Bits.BIT1
#define f_RefDoor        flagSend2.Bits.BIT2
#define f_FrzDoor        flagSend2.Bits.BIT3
#define f_BarDoor        flagSend2.Bits.BIT4
#define f_NetSetting     flagSend2.Bits.BIT5
//#define f_IterRecOK    flagSend2.Bits.BIT6
//#define f_IterSendBuzz flagSend2.Bits.BIT7

extern  BitType flagTime;

#define f_RecOK        flagTime.Bits.BIT0
#define f_HalfSec      flagTime.Bits.BIT1
#define f_SendBuzz     flagTime.Bits.BIT2
#define f_WriteE2      flagTime.Bits.BIT3
#define f_SendOK       flagTime.Bits.BIT4
#define f_FirstAd      flagTime.Bits.BIT5
#define f_IterRecOK    flagTime.Bits.BIT6
#define f_IterSendBuzz flagTime.Bits.BIT7

extern  BitType flagState4;

#define f_RefState       flagState4.Bits.BIT0
#define f_VarState       flagState4.Bits.BIT1
#define f_FrzState       flagState4.Bits.BIT2
#define f_FirstDefrost   flagState4.Bits.BIT3
#define f_DefrostRT      flagState4.Bits.BIT4
#define f_TestSign       flagState4.Bits.BIT5
#define f_CompFirstOnFre flagState4.Bits.BIT6
#define f_PowerOnCompDly flagState4.Bits.BIT7

extern BitType flagState5;

#define f_SuperFrzAct    flagState5.Bits.BIT0
#define f_FirstSuperCool flagState5.Bits.BIT1
#define f_FirstFuzzy     flagState5.Bits.BIT2
#define f_FirstFreshLed  flagState5.Bits.BIT3
#define f_SuperCoolDef   flagState5.Bits.BIT4
#define f_RefForceState  flagState5.Bits.BIT5
#define f_RefForceOut    flagState5.Bits.BIT6
#define f_IterSendOK     flagState5.Bits.BIT7

extern  BitType flagState6;

#define f_RefFirstDisp      flagState6.Bits.BIT0
#define f_FrzFirstDisp      flagState6.Bits.BIT1
#define f_AfterDefFrzDisp   flagState6.Bits.BIT2
//#define f_DispSwitch        flagState6.Bits.BIT3
#define f_QuitTest          flagState6.Bits.BIT4
#define f_SaveCompTimeOver  flagState6.Bits.BIT5
#define f_FrzForceState     flagState6.Bits.BIT6
#define f_PowerOnDealFrz    flagState6.Bits.BIT7

extern   BitType flagState7;

#define f_NeedWriteE2         flagState7.Bits.BIT0
#define f_SuperCoolForceOn    flagState7.Bits.BIT1
#define f_ShortenTimeKeyBak   flagState7.Bits.BIT2
#define f_RestRefDamper       flagState7.Bits.BIT3
#define f_RestVarDamper       flagState7.Bits.BIT4
#define f_DoorAlarm           flagState7.Bits.BIT5
#define f_ShortenTimeKey      flagState7.Bits.BIT6
#define f_NeedCheckDefrost    flagState7.Bits.BIT7

extern   BitType flagState8;

#define f_CompNeedOn          flagState8.Bits.BIT0
#define f_PowerOnWait5S       flagState8.Bits.BIT1
#define f_CheckFlag           flagState8.Bits.BIT2
#define f_CompStartFlag       flagState8.Bits.BIT3
#define f_CompOnDealRef       flagState8.Bits.BIT4
#define f_CompOnDealFrz       flagState8.Bits.BIT5
#define f_OpenDoor180sDef     flagState8.Bits.BIT6

extern   BitType flagState9;

#define f_ExportAT15CTo35C    flagState9.Bits.BIT0
#define f_FrzStateBak         flagState9.Bits.BIT1
#define f_RefCtrlCompOff      flagState9.Bits.BIT2
#define f_FrzOffCompOff       flagState9.Bits.BIT3
#define f_RefTooCool          flagState9.Bits.BIT5
#define f_RefWait30min        flagState9.Bits.BIT6
#define f_Door180min       flagState9.Bits.BIT7


extern   BitType flagRec1;

#define f_DispWriteE2         flagRec1.Bits.BIT0
#define f_ModifyDispSetOver   flagRec1.Bits.BIT1
#define f_FastTimeEnable      flagRec1.Bits.BIT2
#define f_RestE2              flagRec1.Bits.BIT3
#define f_NetSetOver          flagRec1.Bits.BIT4
//#define f_RecMainPowerErr   flagRec1.Bits.BIT5
//#define f_RecBatteryErr     flagRec1.Bits.BIT6
//#define f_RecDoorALarm      flagRec1.Bits.BIT7

extern   BitType flagRec2;

#define f_Test0               flagRec2.Bits.BIT0
#define f_Test1               flagRec2.Bits.BIT1
#define f_Test2               flagRec2.Bits.BIT2
#define f_VarSelect           flagRec2.Bits.BIT3
#define f_IceMakerSelect      flagRec2.Bits.BIT4
#define f_LanguageSelect      flagRec2.Bits.BIT5  //1 english
//#define f_RecBatteryErr     flagRec2.Bits.BIT6
//#define f_RecDoorALarm      flagRec2.Bits.BIT7

extern   BitType flagIterSend1;

#define f_RefDamperState       flagIterSend1.Bits.BIT0
#define f_VarDamperState       flagIterSend1.Bits.BIT1
#define f_RefDamperHeater      flagIterSend1.Bits.BIT2
#define f_VarDamperHeater      flagIterSend1.Bits.BIT3
#define f_DispHeater           flagIterSend1.Bits.BIT4
#define f_FlapHeater           flagIterSend1.Bits.BIT5
#define f_IcemakerPump         flagIterSend1.Bits.BIT6
#define f_GetWaterPump         flagIterSend1.Bits.BIT7

extern   BitType flagIterSend2;

#define f_Comp              flagIterSend2.Bits.BIT0
#define f_DefHeater         flagIterSend2.Bits.BIT1
#define f_IceBreakValve     flagIterSend2.Bits.BIT2
#define f_IceBreakMotor     flagIterSend2.Bits.BIT3
#define f_FlapValve         flagIterSend2.Bits.BIT4
#define f_IcemakerHeater    flagIterSend2.Bits.BIT5
#define f_Icemaker          flagIterSend2.Bits.BIT6
#define f_VacuumPump        flagIterSend2.Bits.BIT7

extern   BitType flagLoad1;

#define f_FrzLamp        flagLoad1.Bits.BIT0
#define f_RefLampUp      flagLoad1.Bits.BIT1
#define f_RefLampDown    flagLoad1.Bits.BIT2
#define f_VarLamp        flagLoad1.Bits.BIT3
#define f_BarHeater      flagLoad1.Bits.BIT4
//#define f_DispLamp       flagLoad1.Bits.BIT5
//#define f_FlapHeater     flagLoad1.Bits.BIT6
#define f_FreshLed       flagLoad1.Bits.BIT7

extern   BitType flagLoadOut1;

#define f_BarHeaterOut       flagLoadOut1.Bits.BIT0
#define f_CompOut            flagLoadOut1.Bits.BIT1
#define f_DefHeaterOut       flagLoadOut1.Bits.BIT2
#define f_RefDamperHeaterOut flagLoadOut1.Bits.BIT3
#define f_VarDamperHeaterOut flagLoadOut1.Bits.BIT4

//extern BitType flagIterRec1;
//#define f_RecFrzFanErr     flagIterRec1.Bits.BIT0
//#define f_RecCoolFanErr    flagIterRec1.Bits.BIT1

extern   MachineParameter_st str_MachineParameter;

#define u8_RefSet                  str_MachineParameter.RefSet
#define u8_FrzSet                  str_MachineParameter.FrzSet
#define u8_VarSet                  str_MachineParameter.VarSet 
#define flagState1                 str_MachineParameter.FlagState1.Byte
#define flagState2                 str_MachineParameter.FlagState2.Byte
#define flagState3                 str_MachineParameter.FlagState3.Byte
#define u8_SavedCompTime           str_MachineParameter.SavedCompTime
#define u8_SignAA                  str_MachineParameter.SignAA


//flagState1;
#define f_SuperFrz            str_MachineParameter.FlagState1.Bits.BIT0
#define f_SuperCool           str_MachineParameter.FlagState1.Bits.BIT1
#define f_Fuzzy               str_MachineParameter.FlagState1.Bits.BIT2
#define f_Holiday             str_MachineParameter.FlagState1.Bits.BIT3
#define f_Fresh               str_MachineParameter.FlagState1.Bits.BIT4
#define f_DemoMode            str_MachineParameter.FlagState1.Bits.BIT5


//flagState2;
#define f_IcemakerEn    str_MachineParameter.FlagState2.Bits.BIT0
#define f_ExtraIce      str_MachineParameter.FlagState2.Bits.BIT1
#define f_Water         str_MachineParameter.FlagState2.Bits.BIT2
#define f_Crush         str_MachineParameter.FlagState2.Bits.BIT3
#define f_Cube          str_MachineParameter.FlagState2.Bits.BIT4
#define f_FilterChange  str_MachineParameter.FlagState2.Bits.BIT5

//flagState3
#define f_VarClose      str_MachineParameter.FlagState3.Bits.BIT0
#define f_Defrost       str_MachineParameter.FlagState3.Bits.BIT1

//#pragma DATA_SEG DEFAULT



#endif
