/***************************************************/
/*file name:Timer.c                                */
/*MCU:AB32                                         */
/*OSC:8M                                           */
/*author:���ĳ�                                    */
/*date:12.01.13                                    */
/***************************************************/
//#include <MC68HC908AB32.h>
#include "Global.h" 
#include "project.h"
#include "Timer0.h"
//#include "DcFanCtrl.h"
#include "Main.h"

BitType flagTime;

//#pragma DATA_SEG DEFAULT
static uchar u8_MillisecCounter;
uchar u8_Millisec;
static uchar u8_2MillisecCounter;
uchar u8_TwoMillisec;
static uchar u8_HalfSecCounter;
uchar u8_HalfSec;
static uchar u8_IntSecCounter;
static uchar u8_MinCounter;
uchar u8_Min;
static uchar u8_SecCounter;
uchar u8_Second;
static uchar u8_2SecCounter;
static uchar u8_10SecCounter;
uint u16_RunTimeMin;
uchar u8_ShortenTimeCounter;
static uchar u8_4MillisecCounter;
uchar u8_RefWait30mintimer;
uint Sound_test;
uint    Watch3;
   
/********************************************
********************************************/
//void __interrupt TimerTOF(void)
CY_ISR(ISR_Timer_500us)
{
	if (TIMER_INTR_MASK_CC_MATCH == TIMER_GetInterruptSourceMasked())		// Check interrupt source
	{
		TIMER_ClearInterrupt(TIMER_INTR_MASK_CC_MATCH);						// Clear interrupt and then process Capture interrupt
		return;
	}
	TIMER_ClearInterrupt(TIMER_INTR_MASK_TC);	
   ///PwmOutput();
////    CheckFanFeedback();
    
  
    u8_MillisecCounter++;
    if(u8_MillisecCounter>=2)  //1ms 
    {
     
      u8_MillisecCounter = 0;
      u8_Millisec++;
      u16_SoundTimer++;
    
        
          if(Sound_test==0)
          {
           
            PWM_BUZZ_WritePeriod(0x64);
            PWM_BUZZ_WriteCompare(0x64/2);
            
          }

        else if(Sound_test==40)
        {
          PWM_BUZZ_WriteCompare(0);
      

        }
        else if(Sound_test==100)
        {
          
            PWM_BUZZ_WritePeriod(0x7D);
            PWM_BUZZ_WriteCompare(0x7D/2);

            Watch3 = PWM_BUZZ_PERIOD_REG;
            Watch3 = PWM_BUZZ_PERIOD_REG;
         }
        else if(Sound_test==140)
        {
            PWM_BUZZ_WriteCompare(0);
       
            
        }
        else if(Sound_test==200)
        {  
            PWM_BUZZ_WritePeriod(0x95);
            PWM_BUZZ_WriteCompare(0x95/2);

         }
        else if(Sound_test==300)
        {
           PWM_BUZZ_WriteCompare(0);
      
        }
        Sound_test++;    
        if(Sound_test>=600)
        {
          Sound_test= 0;
        }
      
      u8_2MillisecCounter++;
      if(u8_2MillisecCounter>=2)
      {
        u8_2MillisecCounter = 0;
        u8_TwoMillisec++;
      
        u8_4MillisecCounter++;
        if(u8_4MillisecCounter>=2)
        {
          u8_4MillisecCounter = 0;

        }
 
      u8_HalfSecCounter++;
      if(u8_HalfSecCounter>=250)
      {
        u8_HalfSecCounter = 0;
        f_HalfSec = 1;
        u8_IntSecCounter++;
       
      }
    }
  }
}

/********************************************
********************************************/
void HalfSecTimeBase(void)
{
  if(!f_HalfSec)
  {
    return; 
  }
  f_HalfSec = 0;
  //half sec base
  u8_HalfSec++;
  
  u8_KeyTimer++;
  u8_TestWaitTimer++;
  u8_ShortenTimeTimer++;
////  OutputDelay();
  


  u8_SecCounter++;
  if(u8_SecCounter>=2)
  { 
    
    
    u8_SecCounter = 0;
    u8_Second++;
    //1s base
    u8_NetSettingDlyTimer++;
    u8_TestTimer++;
    u8_JudgeDoorAlarmTimer++;
    u8_AlarmTimer++;
//    u8_CompDlyOnTimer++;
//    if(u8_MinDefSecTimer<250)
//    {
//      u8_MinDefSecTimer++;
//    }
//    if(u8_MainRecErrTimer<250)
//    {
//      u8_MainRecErrTimer++;
//    }
//    if(u8_FrzFanDlyTimer<250) 
//    {
//      u8_FrzFanDlyTimer++;
//    }
//    if(u8_FrzFanDlyOnTimer<250)
//    {
//      u8_FrzFanDlyOnTimer++;
//    }
//    if(u8_FrzFanDlyOffTimer!=0)
//    {
//      u8_FrzFanDlyOffTimer--;
//    }
//    if (u8_CompRunTimer1s > 0)
//    {
//      u8_CompRunTimer1s--;
//    }
//    CountOpenDoorTime();
//    //2s base
    u8_2SecCounter++;
    if(u8_2SecCounter>=2)
    { //SetSound(DROP_TONE);
        SetSound(RAISE_TONE);
//      u8_2SecCounter = 0;
//      PwmCtrl();
//      FrzFanDrive();
//      CoolFanDrive();
//      //RefFanDrive();
    }
//    //10s base 
//    u8_10SecCounter++;
//    if(u8_10SecCounter>=10)
//    {
//      u8_10SecCounter = 0;
//      u8_RefRuleTimer++;
//      u8_FrzRuleTimer++;
//      CopyFanFeedbackValue();
//      JudgeFrzFanErr();
//      JudgeCoolFanErr();
//    }
//    //1min base
//    u8_MinCounter++;
//    if(u8_MinCounter>=60)
//    {
//      u8_MinCounter = 0;
//      MinuteFunction();
//    }
  }
}

/********************************************
********************************************/
void MinuteFunction(void)
{
  u8_Min++;
  u8_FreshLedTimer++;
  u8_DefrostTimer++;
  u8_FlapHeaterTimer++;
  u8_RefErrCtrlTimer++;
  u8_VarErrCtrlTimer++;
  u8_FrzErrCtrlTimer++;
  u8_AfterDefFrzDispTimer++;
    u8_RefWait30mintimer++;
  u8_Door180mintimer++;
  if(u8_RefDoorErrTimer<250)
  {
    u8_RefDoorErrTimer++;
  }
  if(u8_FrzDoorErrTimer<250)
  {
    u8_FrzDoorErrTimer++;
  }
  if(u8_BarDoorErrTimer<250)
  {
    u8_BarDoorErrTimer++;
  }
  if(u8_DefRefOnTimer<250)
  {
    u8_DefRefOnTimer++;
  }
  if(u8_FrzLampTimer<250)
  {
    u8_FrzLampTimer++;
  }
  if(u8_RefLampTimer<250)
  {
    u8_RefLampTimer++;
  }
  if(u8_BarLampTimer<250)
  {
    u8_BarLampTimer++;
  }
  if(u16_PwmStepTimer<0xffff)
  {
    u16_PwmStepTimer++;
  }
  
  u16_RunTimeMin++;
  if(u16_RunTimeMin>=1440)
  {
    u16_RunTimeMin = 0;
  }
  if(u8_CompDlyTimer!=0)
  {
    u8_CompDlyTimer--;
  }
  
  f_NeedCheckDefrost = 1;
  if(f_Comp)
  {
    CountHourTime(&str_CompStillOnTimer);
    CountHourTime(&str_CompTotalOnTimer);
  }
  else
  {
    ClrHourTime(&str_CompStillOnTimer);
  }
  SaveCompressorOnTime();
  CountHourTime(&str_CompTotalTimer);
  if(f_SuperFrz)
  {
    CountHourTime(&str_SuperFrzTimer);
  }
  if(f_SuperCool)
  {
    u16_SuperCoolTimer++;
  }
  
  if(u8_RefDamperOpenTimer<250)
  {
    u8_RefDamperOpenTimer++;
  }
    if(u8_VarDamperOpenTimer<250)
  {
    u8_VarDamperOpenTimer++;
  }
  if(u8_RefDoorCloseTimer<250)
  {
    u8_RefDoorCloseTimer++;
  }
 //   if(u8_VarDoorCloseTimer<250)
 // {
  //  u8_VarDoorCloseTimer++;
  //}
  
  if(u8_BarDoorCloseTimer<250)
  {
    u8_BarDoorCloseTimer++;
  }  
}

/********************************************
********************************************/
void CountHourTime(hour_def *Pointer)
{	
	if(Pointer->hour<250)
	{
		Pointer->minute++;
		if(Pointer->minute>(60-1))
		{
			Pointer->minute=0;
			Pointer->hour++;
		}
	}	
}

/********************************************
********************************************/
void ClrHourTime(hour_def *Pointer)
{
	Pointer->minute=0;
	Pointer->hour=0;
}

/********************************************
********************************************/
void ShortenTime(void)
{
  if(u8_ShortenTimeCounter!=0)
  {
    u8_ShortenTimeCounter--;
    MinuteFunction();
  }
}




