/***************************************************/
/*file name:Timer.h                                */
/*MCU:AB32                                         */
/*OSC:8M                                           */
/*author:ĳ                                    */
/*date:12.01.13                                    */
/***************************************************/
#ifndef TIMER0_H
#define TIMER0_H

#include "Typedefine.h"

extern void SendData(void);
extern void RecData(void);
extern void SaveCompressorOnTime(void);
extern void FrzFanDrive(void);
extern void CoolFanDrive(void);
extern void CheckFanFeedback(void);
extern void CopyFanFeedbackValue(void);
extern void CountOpenDoorTime(void);
extern void OutputDelay(void);
extern void JudgeFrzFanErr(void);
extern void JudgeCoolFanErr(void);
extern void PwmCtrl(void);
extern void PwmOutput(void);
extern void RefDamperDrive(void);

void MinuteFunction(void);
void CountHourTime(hour_def *Pointer);
void ClrHourTime(hour_def *Pointer);

extern uint u16_SoundTimer;
extern uchar u8_WriteE2Dly;
extern uchar u8_WriteE2DlyTime;
extern uchar u8_KeyTimer;
extern uchar u8_TestWaitTimer;
extern uchar u8_FreshLedTimer;
extern hour_def str_CompStillOnTimer;
extern hour_def str_CompTotalOnTimer;
extern hour_def str_CompTotalTimer;
extern hour_def str_SuperFrzTimer;
extern uchar u8_DefrostTimer;
extern uchar u8_CompDlyTimer;
extern uchar u8_TestTimer;
extern uchar u8_BarHeaterTimer;
extern uchar u8_DispHeaterTimer;
extern uchar u8_FlapHeaterTimer;
extern uchar u8_MinDefSecTimer;
extern uint u16_SuperCoolTimer;
extern uchar u8_JudgeDoorAlarmTimer;
extern uchar u8_AlarmTimer;
extern uchar u8_ShortenTimeTimer;
extern uchar u8_RefDoorErrTimer;
extern uchar u8_FrzDoorErrTimer;
extern uchar u8_BarDoorErrTimer;
extern uchar u8_DefRefOnTimer;
extern uchar u8_FrzLampTimer;
extern uchar u8_RefLampTimer;
extern uchar u8_BarLampTimer;
//extern uchar u8_RefForceTimer;
extern uchar u8_MainRecErrTimer;
//extern uchar u8_DemoFrzFanTimer;
extern uchar u8_RefErrCtrlTimer;
extern uchar u8_VarErrCtrlTimer;
extern uchar u8_FrzErrCtrlTimer;
extern uchar u8_RefRuleTimer;
extern uchar u8_FrzRuleTimer;
extern uchar u8_AfterDefFrzDispTimer;
extern uchar u8_FrzFanDlyTimer;
extern uint u16_RefDamperRunTime;
extern uint u16_VarDamperRunTime;
extern uint u16_PwmStepTimer;
extern uchar u8_CompDlyOnTimer;
extern uchar u8_FrzFanDlyOnTimer;
extern uchar u8_FrzFanDlyOffTimer;
extern uchar u8_RefWait30mintimer;

extern uchar u8_RefDamperOpenTimer;  //2012/07/12 LWC
extern uchar u8_RefDoorCloseTimer;
extern uchar u8_BarDoorCloseTimer;
extern uchar u8_NetSettingDlyTimer;

extern uchar u8_WakeupTimer4ms;
extern uchar u8_CompRunTimer1s;
#endif
