/*******************************************************************************
* File Name: AD_VT_SNR.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AD_VT_SNR_ALIASES_H) /* Pins AD_VT_SNR_ALIASES_H */
#define CY_PINS_AD_VT_SNR_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define AD_VT_SNR_0			(AD_VT_SNR__0__PC)
#define AD_VT_SNR_0_PS		(AD_VT_SNR__0__PS)
#define AD_VT_SNR_0_PC		(AD_VT_SNR__0__PC)
#define AD_VT_SNR_0_DR		(AD_VT_SNR__0__DR)
#define AD_VT_SNR_0_SHIFT	(AD_VT_SNR__0__SHIFT)
#define AD_VT_SNR_0_INTR	((uint16)((uint16)0x0003u << (AD_VT_SNR__0__SHIFT*2u)))

#define AD_VT_SNR_INTR_ALL	 ((uint16)(AD_VT_SNR_0_INTR))


#endif /* End Pins AD_VT_SNR_ALIASES_H */


/* [] END OF FILE */
