
#include "InitMCU.h"
#include "project.h"


void InitClk(void)
{
//	SYSC &= 0xBF;           //enable PF as mail clock pin          
//	SYCC = 0x08;			// Main clock mode and no divison
//	while(!SYCC2_MRDY){;}
}

/**********************************************
**********************************************/
void ReWriteReg(void)
{
//	DDR0 = 0x7F;	// 0111-1111
//	DDR1 = 0xFA;	
//	DDR2 = 0xF9;	// 1111-1001
//	DDR3 = 0x80;	
//	DDR4 = 0x00;	
//	DDR5 = 0xFF;	
//	DDR6 = 0x77;	// 0111-0111
//	DDR7 = 0xFF;	// b1111-1110
//	DDR8 = 0xFF;	// b1111-1111
//	DDRE = 0xFF;	// b1111-1111
//	DDRF = 0x00;	
//	DDRG = 0x06;	
//					//DDRxڷĴ
//					//0 ˿ʹ
//					//1 ˿ʹ
}

void InitIO(void)
{
//	AIDRL = 0xC7;		//A/D ֹĴ( λ) // b1100-0111
//						//0 ģʹ
//						//1 ˿ʹ
//	AIDRH = 0xF0;		//A/D ֹĴ( λ) // b1111-0000
//						//0 ģʹ
//						//1 ˿ʹ
//
//	PUL0 = 0x00;
//	PUL1 = 0x00;
//	PUL2 = 0x00;
//	PUL3 = 0x00;
//	PUL4 = 0x00;
//	PUL5 = 0x00;
//	PUL6 = 0x00;
//	PUL7 = 0x00;
//	PUL8 = 0x00;
//	PULE = 0x00;
//	PULG = 0x00;	//PULx : pull-up register
//					//0 Pull-up disabled
//					////1 Pull-up enabled
//
//	PDR0 = 0x00;
//	PDR1 = 0x00;
//	PDR2 = 0x08;
//	PDR3 = 0x80;
//	PDR4 = 0x00;
//	PDR5 = 0x00;
//	PDR6 = 0x30;
//	PDR7 = 0x00;
//	PDR8 = 0x00;
//	PDRE = 0x00;
//	PDRF = 0x00;
//	PDRG = 0x00;
//
//	ReWriteReg();
}

/*******************************************************************************
******************************************************************************/
 void ppg1_init(void)				////  2KHz
{
////	DDR5_P52=1;		//output enabled
////
////	//PCSRHn/PCSRLn : 16-bit PPG Cycle Setting Buffer Register
////	PCSR1 = 125;//(250000 / 2000) ;
////					//2000Hz : 125
////	
////	//PDUTHn/PDUTLn : 16-bit PPG Duty Setting Buffer Register
////	PDUT1 = (PCSR1 / 2);
////	
////	PCNTH1=0xD9;//Mask=1,(MCLK/16),PWM,Soft Trigger
////	PCNTL1=0x0E;//OSEL=L,IREN=0
////	
////	 
////	//PCNTH1_PGMS=1;		//disable PPG output 
////	//PCNTH1_PGMS=0;			//enable PPG output
////	//DDR1_P13 = 1;
}

/*-----------------------------------------------------------------------------
* Name			:void timer_init(void)
* Input		:NO
* Output		:NO
* Description	:Initial 1 ms timer
-----------------------------------------------------------------------------*/
void timer0_init(void)
{
//////	TMCR0_MOD = 1;         //select 16 bits timer
//////	T00CR0    = 0x81;      //enable IF interrupt, MCLK/1,contious mode
//////	T00CR1 	  = 0x00;      //clear flag
//////
//////	T01DR     = 0x07;
//////	T00DR     = 0xCF;      //set interrupt cycle.
//////
//////	T00CR1_IE  = 1;         //enalbe timer interrupt
//////	T00CR1_STA = 1;         //start timer
}

CY_ISR(ISR_Timer_500us);
void InitTimer(void)
{
	//timer0_init();
    IN_500us_StartEx(ISR_Timer_500us);
    TIMER_Start();
}

/**********************************************
**********************************************/
#define PWM_T_10000Hz 200
#define PWM_PULSE     100

/*-----------------------------------------------------------------------------
* Name		:	void PWM_Init(void)
* Input	:	NO
* Output	:	NO
* Description:	Use PPG00 as PWM output, freq=10K
-----------------------------------------------------------------------------*/
void PPG10_Init(void)		//CF
{
////////	DDR6_P60 = 1;	//output enabled
////////	
////////	PC10 = 0;
////////	PC10_POEN0 = 1;	//PPG output enable
////////					//"0" The PPG timer n0 pin functions as a general-purpose I/O port.
////////					//"1" The PPG timer n0 pin functions as a PPG output pin.
////////	PC10 = (PC10 & 0xf8) | 1; //prescaler
////////							// 0 ---- MCLK/1
////////							// 1 ---- MCLK/2
////////							// 2 ---- MCLK/4
////////							// 3 ---- MCLK/8
////////							// 4 ---- MCLK/16
////////							// 5 ---- MCLK/32
////////							// 6 ---- Fch / 128
////////							// 7 ---- Fch / 256
////////
////////	PPS10		= PWM_T_10000Hz;	//Cycle Setup Buffer
////////										//(CLK = MCLK/prescaler) 
////////										//(MCLK = 4000000) ==>(CLK / 10000Hz = 200)
////////	PDS10		= PWM_PULSE;	//Duty Setup Buffer
////////	
////////	//PPGS_PEN10	= 1;		// enable PPG10 timer output
////////	PPGS_PEN10 = 0;		// disable PPG10 timer output
}


/*-----------------------------------------------------------------------------
* Name		:	void PWM_Init(void)
* Input	:	NO
* Output	:	NO
* Description:	Use PPG01 as PWM output, freq=10 K
-----------------------------------------------------------------------------*/
void PPG11_Init(void)	//FF
{
////	DDR6_P61 = 1;	//output enabled
////	
////	PC11 = 0;
////	PC11_POEN1 = 1;	//PPG output enable
////					//"0" The PPG timer n1 pin functions as a general-purpose I/O port.
////					//"1" The PPG timer n1 pin functions as a PPG output pin.
////	PC11 = (PC11 & 0xf8) | 1; //prescaler
////							// 0 ---- MCLK/1
////							// 1 ---- MCLK/2
////							// 2 ---- MCLK/4
////							// 3 ---- MCLK/8
////							// 4 ---- MCLK/16
////							// 5 ---- MCLK/32
////							// 6 ---- Fch / 128
////							// 7 ---- Fch / 256
////
////	PPS11		= PWM_T_10000Hz;	//Cycle Setup Buffer
////										//(CLK = MCLK/prescaler) 
////										//(MCLK = 4000000) ==>(CLK / 10000Hz = 200)
////	PDS11		= PWM_PULSE;		//Duty Setup Buffer
////
////	PPGS_PEN11	= 0;	// disable PPG11 timer output
////	//PPGS_PEN11	= 1;	// enable PPG11 timer output
}


void InitFan(void)
{
	///PPG10_Init();
	//PPG11_Init();
	//PPG10_Init();
    CFAN_PWM_Start();
    FFAN_PWM_Start();
}

/**********************************************
**********************************************/
/*-----------------------------------------------------------------------------
* Name			:void uart0_init(void)
* Input		:NO
* Output		:NO
* Description	:Initial uart
-----------------------------------------------------------------------------*/
void uart0_init(void)
{
//////	//1-XX-RXD
//////	PDR1_P10 = 1;               //output High
//////	DDR1_P10 = 0;               //set P10 as input port
//////
//////	//1-XX-TXD
//////	PDR1_P11 = 1;               //output High
//////	DDR1_P11 = 1;               //set P11 as output port
//////
//////
//////	SMC10 = 0x0c;   //none parity, 8bits,1 stops
//////	SMC20 = 0x5c;   //received enable,send enable, received interrupt,
//////	PSSR0 = 0x04;   //enable prescaler and set PSS = 1 as no be divided
//////	//BRSR0 = 64;    //baudrate = MCLK(4.9152/2) /(4*PSS*BRSR) = 9600
//////	BRSR0 = 104 - 1;    //baudrate = MCLK(8.0M/2) /(4*PSS*BRSR) = 9600

	//SMC20_TEIE = 1;
}

/*-----------------------------------------------------------------------------
* Name			:void uart1_init(void)
* Input		:NO
* Output		:NO
* Description	:Initial uart
-----------------------------------------------------------------------------*/
void uart2_init(void)
{
//////	//1-XX-RXD
//////	PDR6_P67 = 1;              //output High
//////	DDR6_P67 = 0;               //set P01 as input port
//////
//////	//1-XX-TXD
//////	PDR6_P66 = 1;               //output High
//////	DDR6_P66 = 1;               //set P00 as output port
//////
//////	//SMC12 = 0x0c;   //none parity, 8bits,1 stops
//////	//SMC22 = 0x5c;   //received enable,send enable, received interrupt
//////	//PSSR2 = 0x04;   //enable prescaler and set PSS = 1 as no be divided
//////	//BRSR2 = 64;     //baudrate = MCLK(4.9152/2) /(4*PSS*BRSR) = 9600
//////
//////
//////
//////	SMR = 0x0D; //b00001101 : enable SOT, Reset, asynchronous mode
//////	SSR = 0x03; //b00000011;	//Enable stransmit interrupts. Enable s receive interrupt s,  none parity
//////	SCR = 0x17; //b00010111; // ա͡1λֹͣλżУ
//////	BGR0 = 0xA0; // 9600 㹫ʽ MCLK/ - 1
//////	BGR1 = 0x01; // 9600
//////
//////	SSR_TIE = 0;
//////	SCR_TXE = 1;
//////	SSR_RIE = 1;
//////
//////	//SSR_TIE = 1;
}
CY_ISR(UART_TestRXTXINT)  ;
CY_ISR(UART_RXTXINT) ;
void InitUart(void)
{
	//uart0_init();
	//uart2_init();
//    UART_Start();
//    UART_SetCustomInterruptHandler(UART_RXTXINT);
//    UART_DISABLE_INTR_TX(UART_INTR_TX_EMPTY);
//    UART_ENABLE_INTR_RX(UART_INTR_RX_NOT_EMPTY);
    UART_TEST_Start();
    UART_TEST_SetCustomInterruptHandler(UART_TestRXTXINT);
    UART_TEST_DISABLE_INTR_TX(UART_TEST_INTR_TX_EMPTY);
    UART_TEST_ENABLE_INTR_RX(UART_TEST_INTR_RX_NOT_EMPTY);
    
}



void init_ad(void)
{
    ADC_SAR_Start();
	// ADC2 : 8/10-bit A/D Converter Control Register 2
//////	
//////	ADC2_CKDIV0 = 1;		//[bit1:0] CKDIV[1:0]: Clock select bits
//////	ADC2_CKDIV1 = 1;   
//////						//Writing "00" 1 MCLK
//////						//Writing "01" MCLK/2
//////						//Writing "10" MCLK/4
//////						//Writing "11" MCLK/8
//////
//////	ADC2_EXT = 0;		//[bit2] EXT: Continuous start enable bit
//////					//Writing "0" Starts the A/D conversion function with the AD bit in the ADC1 register.
//////					//Writing "1" Continuously start the
//////	
//////	ADC2_ADIE = 0;		//[bit3] ADIE: Interrupt request enable bit
//////					//Writing "0" Disables outputting the interrupt request.
//////					//Writing "1" Enables outputting the interrupt request.
//////					
//////	ADC2_ADCK = 0;		//[bit4] ADCK: External start signal select bit
//////					//Writing "0" Selects the ADTG pin as the pin used to start the A/D conversion function.
//////					//Writing "1" Selects the 8/16-bit composite
//////	
//////	ADC2_TIM0 = 1;		//[bit6:5] TIM[1:0]: Sampling time select bits
//////	ADC2_TIM1 = 1;   
//////					//Writing "00" CKIN  4
//////					//Writing "01" CKIN  7
//////					//Writing "10" CKIN  10
//////					//Writing "11" CKIN  16
//////	
//////	ADC2_AD8 = 0;		//AD8: Precision select bit
//////					//"0" : 10-bit precision
//////					//"1" : 8-bit precision
}
void Watchdog_Init(void)   //Źʼ
{
  CySysWdtSetIgnoreBits(1);
  CySysWdtEnable();
  CySysClkIloStartMeasurement();
}
/**********************************************
**********************************************/
void InitMCU(void) 
{
  CyGlobalIntDisable;					// Disnable Global interrupts  
  //InitClk();
  //InitIO();
  InitTimer();
 // InitFan(); 
  ////ppg1_init();		//buzz
  PWM_BUZZ_Start();
  ////ReWriteReg();
  InitUart();
  //init_ad();
  CyGlobalIntEnable;					//  Enable Global interrupts 
  Watchdog_Init();
 ////  InitIrqLevels();
  
 //// __EI();
}