/***************************************************/
/*file name:KeyFunction.h                          */
/*MCU:AB32                                         */
/*OSC:8M                                           */
/*author:���ĳ�                                    */
/*date:12.01.13                                    */
/***************************************************/
#ifndef KEYFUNCTION_H
#define KEYFUNCTION_H

#include "project.h"
#include "Typedefine.h"
#include "Global.h"
#include "Psoc4_dgc.h"
    
    
void KeyScan(void);
void KeyAction(void);
void DealPutUpKey(void);
void DealPutDownKey(void);
void DealPut3sKey(void);
//void TestDelay(void);
void DealShortenTimeKey(void);
void SetOver(void);
void SetOverSave(void);

extern void MinuteFunction(void);
extern void SetSound(SoundName_em SoundAddr);

extern uchar u8_Millisec;
extern uchar u8_WriteE2DlyTime;
extern uchar u8_TestTimer;
extern SoundName_em em_MusicType;
extern uchar u8_ShortenTimeCounter;
extern uchar u8_TestMainCtrl;
extern uchar u8_TestDispCtrl;

//#pragma DATA_SEG __SHORT_SEG MY_ZEROPAGE

extern   BitType flagKey;

#define f_ValidKey      flagKey.Bits.BIT0
#define f_WorkedKey     flagKey.Bits.BIT1 


//#pragma DATA_SEG DEFAULT

#define IO_KeyTest1      P65_IN   //PDR3_P30
#define IO_KeyTest2      P64_IN   //PDR3_P31

#define CON_TestKey      0x01
#define CON_TimeKey      0x02


#endif
