/***************************************************/
/*file name:Uart.c                                 */
/*MCU:AB32                                         */
/*OSC:8M                                           */
/*author:ĳ                                    */
/*date:12.01.13                                    */
/***************************************************/

#include "Uart_SR.h"
#include "project.h"

static BitType flagSCI1;
BitType flagSCI2;


static uchar u8_SendByteCountSCI;
uchar u8_SendByteNum;
uchar ary_SendSCI[CON_MaxSendByte];
static uchar u8_RecRestTimer;
static uchar u8_RecByteCountSCI;
uchar u8_RecByteNum;
uchar ary_RecSCI[CON_MaxRecByte];
uchar u8_Rec55Sum;

uchar u8_NetErr1Copy;
uchar u8_NetErr2Copy;
uchar u8_NetAlarmTimer;
uchar u8_NetAckTimer;

uchar u8_PartCheckNum;
uchar u8_PartCheckTimer;

CY_ISR(UART_TestRXTXINT)  
{
	unsigned char u8_LocalVar = 1;
	uint32 inter_resource=UART_TEST_GetTxInterruptSourceMasked();
    
    if(inter_resource &UART_TEST_INTR_TX_EMPTY )
    {
        UART_TEST_SpiUartWriteTxData(u8_LocalVar); 
        UART_TEST_DISABLE_INTR_TX(UART_TEST_INTR_TX_EMPTY);
        UART_TEST_ClearTxInterruptSource(UART_TEST_INTR_TX_EMPTY );
        
    }        
    inter_resource = UART_TEST_GetRxInterruptSourceMasked();
    if(inter_resource &  UART_TEST_INTR_RX_NOT_EMPTY)
    {
         
         u8_LocalVar = UART_TEST_SpiUartReadRxData(); //
         UART_TEST_ClearRxInterruptSource(UART_TEST_INTR_RX_NOT_EMPTY); 
    }

}





