/***************************************************/
/*file name:main.c                                 */
/*MCU:AB32                                         */
/*OSC:8M                                           */
/*author:ĳ                                    */
/*date:12.01.13                                    */
/***************************************************/


//#include <stdlib.h>
//#include <stdio.h>
#include "derivative.h" /* include peripheral declarations */
#include "Main.h"
#include "Uart_SR.h"
#include "Timer0.h"
#include "Music.h"

 BitType flagSend1;
 MyflagFanSpeed	flagFanSpeed;
 BitType flagErrs1;
 BitType flagErrs2;
 BitType flagErrs3;
 MachineParameter_st str_MachineParameter;
 BitType flagState4;
 BitType flagState5;
 BitType flagState6;
 BitType flagState7;
 BitType flagState8;
 BitType flagState9;
 BitType flagIterSend1;
 BitType flagIterSend2;
 BitType flagRec1;
 BitType flagRec2;
 BitType flagLoad1;
 BitType flagLoadOut1;
 BitType flagSend2;
 BitType flagIterRec1;

SoundName_em em_MusicType;
uchar u8_WriteE2DlyTime;
uchar u8_CheckRefDoorTimer;
uchar u8_CheckFrzDoorTimer;
uchar u8_CheckBarDoorTimer;
uchar u8_RefDamperRestTimer;
uchar u8_RefDamperTimer;
uint u16_RefDamperSaveTemp;
uchar u8_VarDamperRestTimer;
uchar u8_VarDamperTimer;
uint u16_VarDamperSaveTemp;
uint u16_RefOnTemp;
uint u16_RefOffTemp;
uint u16_FrzOnTemp;
uint u16_FrzOffTemp;
uint u16_VarOnTemp;

uint u16_VarOffTemp;
uchar u8_FreshLedTimer;
hour_def str_CompStillOnTimer;
hour_def str_CompTotalOnTimer;
hour_def str_CompTotalTimer;
hour_def str_SuperFrzTimer;
DefrostMode_em em_DefrostMode;
uchar u8_OpenDoorTimer;
uchar u8_DefrostTimer;
uchar u8_CompDlyTimer;
uchar u8_TestTimer;
uchar u8_TestMainCtrl;
uchar u8_TestDispCtrl;
uchar u8_TestStatus;
uchar u8_TestStatusDly;
uchar u8_TestWaitTimer;
uint u16_RefDispTemp;
uint u16_FrzDispTemp;
uchar u8_MinDefSecTimer;
uint u16_SuperCoolTimer;
uchar u8_JudgeDoorAlarmTimer;
uchar u8_AlarmTimer;
signed char s8_FrzInchValue;
signed char s8_RefInchValue;
SpecialMode_em em_SpecialMode;
uchar u8_RefDoorErrTimer;
uchar u8_FrzDoorErrTimer;
uchar u8_BarDoorErrTimer;
uchar u8_DefRefOnTimer;
uchar u8_SuperFrzDefState;
uchar u8_FrzLampTimer;
uchar u8_RefLampTimer;
uchar u8_BarLampTimer;
//uchar u8_RefForceTimer;
uchar u8_MainRecErrTimer;
//uchar u8_DemoFrzFanTimer;
uchar u8_RefErrCtrlTimer;
uchar u8_VarErrCtrlTimer;
uchar u8_FrzErrCtrlTimer;
uchar u8_CommStatus;
uint u16_SlaveVer;
uchar u8_PowerOnTimeMin;
uchar u8_CompDlyOnTimer;

uchar u8_RefDamperOpenTimer;
uint u16_RefOnTemplast;
uint u16_RefOffTemplast;
uchar u8_VarDamperOpenTimer;
uchar u8_Door180mintimer;


uchar u8_RefDoorCloseTimer;


uchar u8_BarDoorCloseTimer;
uchar u8_NetSettingDlyTimer;

uchar u8_CompRunTimer1s;

const uint ARY_RefOnOffTemp[12][2]=
{
  //on temp,off temp
  {880,860}, //off
  {430,410}, //1
  {430,410}, //2
  {450,410}, //3
  {460,420}, //4
  {460,420}, //5
  {470,430}, //6
  {470,450}, //7
  {480,460}, //8
  {480,460}, //9
  {0,0},
  {0,0},  
};
const uint ARY_FrzOnOffTemp[11][2]=
{
  //on temp,off temp
  {150,130}, //-24
  {160,140}, //-23
  {170,150}, //-22
  {180,160}, //-21
  {190,170}, //-20
  {200,180}, //-19
  {210,190}, //-18
  {220,200}, //-17
  {230,210}, //-16
  {240,220}, //-15
  {250,230}, //-14 
};

const uint ARY_VarOnOffTemp[6][2]=
{
  //on temp,off temp
  {880,860}, //close
  {380,360}, //meet  -5
  {410,390}, //fish  -1
  {460,440}, //fruit     3
  {480,460}, //vegetable 5 
  {0,0},  
};

const signed char ARY_RefAdjustValue[7]=
{
  10, //BELOW8
  10, //BELOW15
  10, //BELOW20  
  10, //BELOW28
  10,//BELOW35
  20,//BELOW40
  20,//UP40
};

const signed char ARY_EuropeRefAdjustValue[7]=
{
  10, //BELOW8
  10, //BELOW15
  0, //BELOW20  
  0, //BELOW28
  0,//BELOW35
  0,//BELOW40
  0,//UP40
};

const signed char ARY_FrzAdjustValue[7]=
{
  10, //BELOW8
  10, //BELOW15
  0, //BELOW20  
  0, //BELOW28
  0, //BELOW35
  10, //BELOW40
  15, //UP40
};

const uchar ARY_RefErrOnOffTime[12][2]=
{
  //on time,off time //min
  {0,5}, //off
  {5,14}, //1
  {5,16}, //2
  {5,18}, //3
  {5,20}, //4
  {5,22}, //5
  {5,24}, //6
  {5,26}, //7
  {5,28}, //8
  {5,30}, //9
  {0,0},
  {0,0},  
};

const uchar ARY_VarErrOnOffTime[6][2]=
{
  //on time,off time  //min
  {0,5}, //close 
  {15,25}, //meet
  {10,35}, //fish
  {15,80}, //fruit
  {10,100}, //vegetable
  {0,0},  
};

const uchar ARY_FrzErrOnOffTime[7][11][2]=
{
  //-24,-23,----,-15,-14
  {{20,15},{20,15},{20,15},{20,15},{20,15},{15,15},{15,15},{15,15},{15,15},{15,15},{15,15}}, //RT<15  <8
  {{20,15},{20,15},{20,15},{20,15},{20,15},{15,15},{15,15},{15,15},{15,15},{15,15},{15,15}}, //RT<15
  {{35,15},{35,15},{35,15},{35,15},{35,15},{25,15},{25,15},{25,15},{25,15},{25,15},{25,15}}, //RT<28  <20
  {{35,15},{35,15},{35,15},{35,15},{35,15},{25,15},{25,15},{25,15},{25,15},{25,15},{25,15}}, //RT<28
  {{50,15},{50,15},{50,15},{50,15},{50,15},{35,15},{35,15},{35,15},{35,15},{35,15},{35,15}}, //RT<35
  {{60,15},{60,15},{60,15},{60,15},{60,15},{40,15},{40,15},{40,15},{40,15},{40,15},{40,15}}, //RT<40
  {{65,15},{65,15},{65,15},{65,15},{65,15},{60,15},{60,15},{60,15},{60,15},{60,15},{60,15}}  //RT>40 
};

const uint u16_MainVer = 309;

int main(void) 
{
  InitMCU();
 
  SetSound(START_TONE);
 // UART_TEST_SpiUartWriteTxData(0xAA);
  IO_BUZZ_EN_HIGH; 
  for(;;) 
  {
    CySysWdtClearInterrupt();  // feeds the dog  

   // MusicBeep();

    HalfSecTimeBase();


  } /* loop forever */
  /* please make sure that you never leave main */
}
